#include<fstream>
using namespace std;
ifstream f1("DQNP.INP");
ofstream f2("DQNP.OUT");
string bin(int a)
{
	string r;
	if(a==0) return r;
	else
	{
		int u=a%2;
		if(u==0) r+="0";
		else r+="1";
		a/=2;
		f2<<bin(a);
	}
}
int main()
{
	int n;
	f1>>n;
	f1.close();
	bin(n);
	f2.close();
	return 0;
}
